{% extends 'modal.html' %}
{% load i18n extras static %}

{% block "dialog-body" %}

  <div class="tabs">
    <label class="tab" for="tab_winners">{% trans "Winners" %}</label>
    <label class="tab" for="tab_votes">{% trans "Show Votes" %}</label>
    {% for round in result.rounds %}
      {% if not round.skip %}
      <label class="tab" for="tab{{ round.number }}">{% if round.compressed %}{% blocktrans with x=round.number y=round.number|add:round.compressed %}Rounds {{ x }}-{{ y }}{% endblocktrans %}{% else %}{% blocktrans with x=round.number %}Round {{ x }}{% endblocktrans %}{% endif %}</label>
      {% endif %}
    {% endfor %}
  </div>

  <div class="fields" id="tab_winners" style="max-width: unset;">
    <form method="GET">
        <h2>{% trans "Number of winners" %}: <input type="text" value="{{ request.GET.count|default:1 }}" name="count"/></h2>
    </form>
    <div id="gallery">
    {% for item in result.winners %}
      <div class="galleryitem" title="{{ item.summary_string }}">
        <a class="link" href="{{ item.get_absolute_url }}">
          <img src="{{ item.thumbnail_url }}"/>
        </a>
        <p class="label"><a href="{{ item.get_absolute_url }}">{{ item.name|truncatechars:40 }}</a></p>
      </div>
    {% endfor %}
    </div>
  </div>

  <div class="fields" id="tab_votes">
      <dl class="vote_round">
        {% for rank in result.vote_ranks %}
          {% if rank.count %}
            <dt>{{ rank.name }} {% trans "Rank Votes" %}</dt>
            <dd>{{ rank.count }}</dd>
          {% endif %}
        {% endfor %}
      </dl>
  </div>

  {% for round in result.rounds %}
    {% if not round.skip %}
    <div class="fields" id="tab{{ round.number }}">
      <dl class="vote_round">
        {% for item, score in round.tallies %}
          <dt class="{% if item in round.winners %}winner{% elif item in round.losers %}loser{% endif %}">{{ item }}</dt>
          <dd>{{ score }}</dd>
        {% endfor %}
      </dl>
    </div>
    {% endif %}
  {% empty %}
    <p>{% trans "This election was uncontested and the only candidates to accept have won without any votes being cast." %}</p>
  {% endfor %}
{% endblock %}

{% block "dialog-buttons" %}
{% endblock %}
